Package com.databricks.jdbc.model.client.thrift.generated

## Class TRowSet

- java.lang.Object
- - com.databricks.jdbc.model.client.thrift.generated.TRowSet

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TRowSet>`, `org.apache.thrift.TBase<TRowSet,​TRowSet._Fields>`, `org.apache.thrift.TSerializable`

    @Generated(value="Autogenerated by Thrift Compiler (0.19.0)",
               date="2024-05-06")
    public class TRowSet
    extends Object
    implements org.apache.thrift.TBase<TRowSet,​TRowSet._Fields>, Serializable, Cloneable, Comparable<TRowSet>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TRowSet._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`List<TSparkArrowBatch>` `arrowBatches`
`ByteBuffer` `binaryColumns`
`int` `columnCount`
`List<TColumn>` `columns`
`static Map<TRowSet._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`List<TSparkArrowResultLink>` `resultLinks`
`List<TRow>` `rows`
`long` `startRowOffset`

### Constructor Summary

Constructors
`TRowSet()`
`TRowSet​(long startRowOffset, List<TRow> rows)`
`TRowSet​(TRowSet other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToArrowBatches​(TSparkArrowBatch elem)`
`void` `addToColumns​(TColumn elem)`
`void` `addToResultLinks​(TSparkArrowResultLink elem)`
`void` `addToRows​(TRow elem)`
`ByteBuffer` `bufferForBinaryColumns()`
`void` `clear()`
`int` `compareTo​(TRowSet other)`
`TRowSet` `deepCopy()`
`boolean` `equals​(TRowSet that)`
`boolean` `equals​(Object that)`
`TRowSet._Fields` `fieldForId​(int fieldId)`
`List<TSparkArrowBatch>` `getArrowBatches()`
`Iterator<TSparkArrowBatch>` `getArrowBatchesIterator()`
`int` `getArrowBatchesSize()`
`byte[]` `getBinaryColumns()`
`int` `getColumnCount()`
`List<TColumn>` `getColumns()`
`Iterator<TColumn>` `getColumnsIterator()`
`int` `getColumnsSize()`
`Object` `getFieldValue​(TRowSet._Fields field)`
`List<TSparkArrowResultLink>` `getResultLinks()`
`Iterator<TSparkArrowResultLink>` `getResultLinksIterator()`
`int` `getResultLinksSize()`
`List<TRow>` `getRows()`
`Iterator<TRow>` `getRowsIterator()`
`int` `getRowsSize()`
`long` `getStartRowOffset()`
`int` `hashCode()`
`boolean` `isSet​(TRowSet._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetArrowBatches()` Returns true if field arrowBatches is set (has been assigned a value) and false otherwise
`boolean` `isSetBinaryColumns()` Returns true if field binaryColumns is set (has been assigned a value) and false otherwise
`boolean` `isSetColumnCount()` Returns true if field columnCount is set (has been assigned a value) and false otherwise
`boolean` `isSetColumns()` Returns true if field columns is set (has been assigned a value) and false otherwise
`boolean` `isSetResultLinks()` Returns true if field resultLinks is set (has been assigned a value) and false otherwise
`boolean` `isSetRows()` Returns true if field rows is set (has been assigned a value) and false otherwise
`boolean` `isSetStartRowOffset()` Returns true if field startRowOffset is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TRowSet` `setArrowBatches​(List<TSparkArrowBatch> arrowBatches)`
`void` `setArrowBatchesIsSet​(boolean value)`
`TRowSet` `setBinaryColumns​(byte[] binaryColumns)`
`TRowSet` `setBinaryColumns​(ByteBuffer binaryColumns)`
`void` `setBinaryColumnsIsSet​(boolean value)`
`TRowSet` `setColumnCount​(int columnCount)`
`void` `setColumnCountIsSet​(boolean value)`
`TRowSet` `setColumns​(List<TColumn> columns)`
`void` `setColumnsIsSet​(boolean value)`
`void` `setFieldValue​(TRowSet._Fields field, Object value)`
`TRowSet` `setResultLinks​(List<TSparkArrowResultLink> resultLinks)`
`void` `setResultLinksIsSet​(boolean value)`
`TRowSet` `setRows​(List<TRow> rows)`
`void` `setRowsIsSet​(boolean value)`
`TRowSet` `setStartRowOffset​(long startRowOffset)`
`void` `setStartRowOffsetIsSet​(boolean value)`
`String` `toString()`
`void` `unsetArrowBatches()`
`void` `unsetBinaryColumns()`
`void` `unsetColumnCount()`
`void` `unsetColumns()`
`void` `unsetResultLinks()`
`void` `unsetRows()`
`void` `unsetStartRowOffset()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### startRowOffset

    public long startRowOffset

#### rows

    public List<TRow> rows

#### columns

    public List<TColumn> columns

#### binaryColumns

    public ByteBuffer binaryColumns

#### columnCount

    public int columnCount

#### arrowBatches

    public List<TSparkArrowBatch> arrowBatches

#### resultLinks

    public List<TSparkArrowResultLink> resultLinks

#### metaDataMap

    public static final Map<TRowSet._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TRowSet

    public TRowSet()

#### TRowSet

    public TRowSet​(long startRowOffset,
                   List<TRow> rows)

#### TRowSet

    public TRowSet​(TRowSet other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TRowSet deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TRowSet,​TRowSet._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TRowSet,​TRowSet._Fields>`

#### getStartRowOffset

    public long getStartRowOffset()

#### setStartRowOffset

    public TRowSet setStartRowOffset​(long startRowOffset)

#### unsetStartRowOffset

    public void unsetStartRowOffset()

#### isSetStartRowOffset

    public boolean isSetStartRowOffset()

Returns true if field startRowOffset is set (has been assigned a value) and false otherwise

#### setStartRowOffsetIsSet

    public void setStartRowOffsetIsSet​(boolean value)

#### getRowsSize

    public int getRowsSize()

#### getRowsIterator

    public Iterator<TRow> getRowsIterator()

#### addToRows

    public void addToRows​(TRow elem)

#### getRows

    public List<TRow> getRows()

#### setRows

    public TRowSet setRows​(List<TRow> rows)

#### unsetRows

    public void unsetRows()

#### isSetRows

    public boolean isSetRows()

Returns true if field rows is set (has been assigned a value) and false otherwise

#### setRowsIsSet

    public void setRowsIsSet​(boolean value)

#### getColumnsSize

    public int getColumnsSize()

#### getColumnsIterator

    public Iterator<TColumn> getColumnsIterator()

#### addToColumns

    public void addToColumns​(TColumn elem)

#### getColumns

    public List<TColumn> getColumns()

#### setColumns

    public TRowSet setColumns​(List<TColumn> columns)

#### unsetColumns

    public void unsetColumns()

#### isSetColumns

    public boolean isSetColumns()

Returns true if field columns is set (has been assigned a value) and false otherwise

#### setColumnsIsSet

    public void setColumnsIsSet​(boolean value)

#### getBinaryColumns

    public byte[] getBinaryColumns()

#### bufferForBinaryColumns

    public ByteBuffer bufferForBinaryColumns()

#### setBinaryColumns

    public TRowSet setBinaryColumns​(byte[] binaryColumns)

#### setBinaryColumns

    public TRowSet setBinaryColumns​(ByteBuffer binaryColumns)

#### unsetBinaryColumns

    public void unsetBinaryColumns()

#### isSetBinaryColumns

    public boolean isSetBinaryColumns()

Returns true if field binaryColumns is set (has been assigned a value) and false otherwise

#### setBinaryColumnsIsSet

    public void setBinaryColumnsIsSet​(boolean value)

#### getColumnCount

    public int getColumnCount()

#### setColumnCount

    public TRowSet setColumnCount​(int columnCount)

#### unsetColumnCount

    public void unsetColumnCount()

#### isSetColumnCount

    public boolean isSetColumnCount()

Returns true if field columnCount is set (has been assigned a value) and false otherwise

#### setColumnCountIsSet

    public void setColumnCountIsSet​(boolean value)

#### getArrowBatchesSize

    public int getArrowBatchesSize()

#### getArrowBatchesIterator

    public Iterator<TSparkArrowBatch> getArrowBatchesIterator()

#### addToArrowBatches

    public void addToArrowBatches​(TSparkArrowBatch elem)

#### getArrowBatches

    public List<TSparkArrowBatch> getArrowBatches()

#### setArrowBatches

    public TRowSet setArrowBatches​(List<TSparkArrowBatch> arrowBatches)

#### unsetArrowBatches

    public void unsetArrowBatches()

#### isSetArrowBatches

    public boolean isSetArrowBatches()

Returns true if field arrowBatches is set (has been assigned a value) and false otherwise

#### setArrowBatchesIsSet

    public void setArrowBatchesIsSet​(boolean value)

#### getResultLinksSize

    public int getResultLinksSize()

#### getResultLinksIterator

    public Iterator<TSparkArrowResultLink> getResultLinksIterator()

#### addToResultLinks

    public void addToResultLinks​(TSparkArrowResultLink elem)

#### getResultLinks

    public List<TSparkArrowResultLink> getResultLinks()

#### setResultLinks

    public TRowSet setResultLinks​(List<TSparkArrowResultLink> resultLinks)

#### unsetResultLinks

    public void unsetResultLinks()

#### isSetResultLinks

    public boolean isSetResultLinks()

Returns true if field resultLinks is set (has been assigned a value) and false otherwise

#### setResultLinksIsSet

    public void setResultLinksIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TRowSet._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TRowSet,​TRowSet._Fields>`

#### getFieldValue

    public Object getFieldValue​(TRowSet._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TRowSet,​TRowSet._Fields>`

#### isSet

    public boolean isSet​(TRowSet._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TRowSet,​TRowSet._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TRowSet that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TRowSet other)

Specified by:
  `compareTo` in interface `Comparable<TRowSet>`

#### fieldForId

    public TRowSet._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TRowSet,​TRowSet._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`